%define name	enlightenment
%define bin_name e16
%define theme_version 1.0.0
%define doc_version 0.16.8.0.2
%define version	1.0.6
%define Name	Enlightenment
%define Summary	The Enlightenment window manager

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	%{Summary}
License:	e16 and GPLv2+
Group:		Graphical desktop/Enlightenment
BuildRequires:  esound-devel
BuildRequires:  freetype2-devel
BuildRequires:  imlib2-devel
BuildRequires:  x11-data-bitmaps
BuildRequires:  libx11-devel
BuildRequires:  libxxf86vm-devel
BuildRequires:  libsm-devel
BuildRequires:  libxft-devel
BuildRequires:  libxrandr-devel
BuildRequires:  texinfo
BuildRequires:  imagemagick
Source0:	http://prdownloads.sourceforge.net/enlightenment/%{bin_name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/enlightenment/%{bin_name}-docs-%{doc_version}.tar.gz
Source2:	http://prdownloads.sourceforge.net/enlightenment/%{bin_name}-themes-%{theme_version}.tar.gz
Source7:	%{name}.png
# this overrides some themes' *.cfg files with other slightly modified to
# use fontsets, and so be able to display text in any language
# the files inside that tarball may need to be modified or new added if the
# themes' files from the Enlightenment sources change -- pablo
Source8:	%{name}-0.16.5-themes-i18n.tar.bz2  
Requires:	imagemagick >= 4.2.9
Provides:	e16 Enlightenment
URL:		http://www.enlightenment.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Enlightenment is a window manager for the X Window System that is designed to
be powerful, extensible, configurable and pretty darned good looking! It is one
of the more graphically intense window managers.

Enlightenment goes beyond managing windows by providing a useful and appealing
graphical shell from which to work. It is open in design and instead of
dictating a policy, allows the user to define their own policy, down to every
last detail.

This package will install the Enlightenment window manager.

%prep

%setup -q -n %bin_name-%version -a 1 -a 2 

%build
%configure2_5x  --enable-fsstd \
	    --enable-sound \
	    --enable-upgrade \
	    --enable-zoom 

cd %{bin_name}-themes-%{theme_version}
./configure --prefix=%{_prefix}
cd ..

cd %{bin_name}-docs-%{doc_version}
./configure --prefix=%{_prefix}
cd ..
%make

%install
rm -rf $RPM_BUILD_ROOT

##build will fail if not done in this manner--CAE##
%makeinstall_std

# Install icons
install -d 644 $RPM_BUILD_ROOT%{_miconsdir}
install -d 644 $RPM_BUILD_ROOT%{_iconsdir}
install -d 644 $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 %SOURCE7 $RPM_BUILD_ROOT%{_miconsdir}
convert %SOURCE7 -geometry 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert %SOURCE7 -geometry 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=%{Summary}
Exec=%{_bindir}/%{bin_name} 
Icon=%{name}
Terminal=false
Type=Applications
Categories=X-MandrivaLinux-System-Session-Windowmanagers;
EOF

install -d 644 $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/04enlightenment <<EOF
NAME=%{Name}
DESC=%{Summary}
EXEC=%{_bindir}/%{bin_name}
SCRIPT:
exec %{_bindir}/%{bin_name}
EOF

#installed in right directory by %doc macro in file list
rm -f %{buildroot}%{_docdir}/e16/README.html %{buildroot}%{_docdir}/e16/e16-docs.html

cd %{bin_name}-themes-%{theme_version}
%makeinstall_std
cd ..

# overwrite some themes' files with i18n'ed ones
bzcat %SOURCE8 | tar xvf - -C $RPM_BUILD_ROOT%{_datadir}/%{bin_name}


cd %{bin_name}-docs-%{doc_version}
%makeinstall_std
cd ..

#rm some empty theme files
rm -fr $RPM_BUILD_ROOT/%{_datadir}/%{bin_name}/themes/BlueSteel/sound/sound.cfg
rm -fr $RPM_BUILD_ROOT/%{_datadir}/%{bin_name}/themes/BlueSteel/slideouts/slideouts.cfg
rm -fr $RPM_BUILD_ROOT/%{_datadir}/%{bin_name}/themes/BrushedMetal-Tigert/slideouts/slideouts.cfg
rm -fr $RPM_BUILD_ROOT/%{_datadir}/%{bin_name}/themes/BrushedMetal-Tigert/buttons/buttons.cfg
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{bin_name}/themes/BlueSteel/buttons/buttons.cfg
rm -rf `find $RPM_BUILD_ROOT -name .xvpics`

%find_lang %{name} %{name} %{bin_name}
rm -f $RPM_BUILD_ROOT/usr/etc/X11/dm/Sessions/enlightenment.desktop

%post
%if %mdkversion < 200900
%update_menus
%endif
%make_session

%postun
%if %mdkversion < 200900
%clean_menus
%endif
%make_session

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root,755)
%doc AUTHORS COPYING ChangeLog COMPLIANCE
%doc sample-scripts
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications/*
%{_datadir}/%{bin_name}
%{_datadir}/doc/*
%{_datadir}/xsessions/*.desktop
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Sep 27 2010 Funda Wang <fwang@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 581172
- update to new version 1.0.6

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 574253
- update to new version 1.0.5

* Wed Aug 11 2010 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 568948
- update to new version 1.0.4
- update to new version 1.0.3

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 1.0.2-2mdv2010.1
+ Revision: 541531
- fix desktop file

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 495635
- update to new version 1.0.2

* Sat Jan 23 2010 Funda Wang <fwang@mandriva.org> 1.0.1.901-1mdv2010.1
+ Revision: 495218
- New version 1.0.1.901

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 1.0.1.001-1mdv2010.1
+ Revision: 478237
- new version 1.0.1.001

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 438613
- Update to new version 1.0.1

* Thu Jun 04 2009 Crispin Boylan <crisb@mandriva.org> 1.0.0-2mdv2010.0
+ Revision: 382636
- New release, the big 1.0.0

* Sun Jan 18 2009 Crispin Boylan <crisb@mandriva.org> 0.16.8.15-2mdv2009.1
+ Revision: 330943
- rebuild

* Thu Jan 08 2009 Funda Wang <fwang@mandriva.org> 0.16.8.15-1mdv2009.1
+ Revision: 327130
- New version 0.16.8.15

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 0.16.8.14-2mdv2009.1
+ Revision: 293922
- fix startup script

* Tue Aug 12 2008 Funda Wang <fwang@mandriva.org> 0.16.8.14-1mdv2009.0
+ Revision: 271050
- clean typo
- New version 0.16.8.14

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.16.8.13-2mdv2009.0
+ Revision: 266631
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 Crispin Boylan <crisb@mandriva.org> 0.16.8.13-1mdv2009.0
+ Revision: 208891
- New version

* Sat Jan 19 2008 Crispin Boylan <crisb@mandriva.org> 0.16.8.11-1mdv2008.1
+ Revision: 155059
- New version
- Update themes package
- Update docs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Adam Williamson <awilliamson@mandriva.org>
    - correct license, it is not GPL (mostly a unique license I've tagged e16 and will discuss with Fedora license guys, one small part is GPLv2+)
    - new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Crispin Boylan <crisb@mandriva.org> 0.16.8.10-1mdv2008.1
+ Revision: 96320
- New release

* Sat Aug 18 2007 Crispin Boylan <crisb@mandriva.org> 0.16.8.9-2mdv2008.0
+ Revision: 65480
- New version

* Sun Jun 03 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.16.8.5-2mdv2008.0
+ Revision: 34882
- fixed name and summary in desktop/session files


* Thu Jan 04 2007 Crispin Boylan <crisb@mandriva.org> 0.16.8.5-1mdv2007.0
+ Revision: 104036
- Add xrandr buildReq
- Fix BuildRequires
- Use %%configure in spec
- New release
- Import enlightenment

* Tue May 09 2006 Jerome Soyer <saispo@mandriva.org> 0.16.7.2-2mdk
- Rebuild and add mkrel

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 0.16.7.2-1mdk
- New release 0.16.7.2

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.16.7.1-3mdk
- Rebuild

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 0.16.7.1-2mdk 
- add a symlink to dox, for epplet

* Fri Aug 27 2004 Michael Scherer <misc@mandrake.org> 0.16.7.1-1mdk  
- new version
- huge changes in the spec.

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.16.6-3mdk
- fix buildrequires
- change summary macro to avoid conflicts if we were to build debug package

* Sun Jan 18 2004 Olivier Blin <blino@mandrake.org> 0.16.6-2mdk
- removed redundant Requires

